IMV(1)

NAME
imv - view images

SYNOPSIS
imv [-adfhlrSsux] [-b color] [-e font:size] [-n position] [-t seconds] [file ...]

DESCRIPTION
imv is an image viewer for X(7) and Wayland, aimed at users of tiling window managers. It supports a wide variety of image file formats, including animated gif files. imv reloads the current image if it detects changes to the file.

imv accepts following flags:

-a  “actual size” mode: show images at actual size.

-b color
    Set the background color. Either checks or a hex color value. Defaults to 000000.

-e font:size
    Set the font used by the overlay. font can be any valid system font, such as FreeSans, FreeMono, etc. Defaults to Monospace:24, which is the default monospace font, as configured in fonts.conf(5).

-d  Show textual overlay.

-f  Start in full screen mode.

-h  Print help message.

-l  List open files on exit.

-n position
    Start at specific position in image list. position may be expressed as a number or as a path of an image.

-r  Recursively search input paths for files.

-S  “perfect fit” mode: upscale or downscale image to fit window. This is the default.

-s  “best fit” mode: downscale image to fit window. Images that are smaller then window are shown in actual size.

-t seconds
    Set the slideshow delay in seconds. Fractional numbers are accepted. Setting this to zero disables slideshow mode, which is the default.

-u  Use nearest neighbour resampling. Recommended for pixel art.

-x  Exit when reaching end of file list.

  Reading from standard input
When run with argument ‘-’, imv reads image from standard input. Argument ‘-’ may occur among other arguments, but only once.

If no arguments supplied, reads list of files from standard input.

CONTROLS

<left mouse button>
    Pan relative to mouse motion.

<mouse wheel>
    Zoom in and out.

q   Quit.

<left> | [
    Change to previous image.

<right> |]
    Change to next image.

i | + | <up>
    Zoom in.

o | - | <down>
    Zoom out.

r   Reset view

a   View image at actual size.

c   Center image in window.

h   Pan left.

j   Pan down.

k   Pan up.

l   Pan right.

x   Close current image.

X   Close current image and remove it from disk.

d   Toggle display of textual overlay.

f   Toggle fullscreen.

SPACE
    Toggle gif playback.

.   Step forward one frame (when playing gifs).

p   Print current image path to stdout

s   Switch scaling mode. Available modes are: “actual size” (don't scale images), “best fit” (downscale images to fit window, but don't scale smaller images), “perfect fit” (upscale or downscale images to fit window) (default), in this order.

t   Increase slideshow delay by one second

T   Decrease slideshow delay by one second. When delay is zero, slideshow mode is disabled.

EXAMPLES
Load all files from directory dir:

    $ ls dir | imv
or
    $ ls dir | xargs imv

LEGAL
This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This software uses the FreeImage open source image library. See http://freeimage.sourceforge.net for details. FreeImage is used under the GNU GPLv2.

AUTHOR
Harry Jeffery